# Uses of Class
java.text.DecimalFormatSymbols

Packages that use DecimalFormatSymbols
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.
java.text.spi
Service provider classes for the classes in the java.text package.

## Uses of DecimalFormatSymbols in java.text

Methods in java.text that return DecimalFormatSymbols
Modifier and Type
Method
Description
`DecimalFormatSymbols`
DecimalFormat.`getDecimalFormatSymbols()`
Returns a copy of the decimal format symbols, which is generally not changed by the programmer or user.
`static final DecimalFormatSymbols`
DecimalFormatSymbols.`getInstance()`
Gets the `DecimalFormatSymbols` instance for the default locale.
`static final DecimalFormatSymbols`
DecimalFormatSymbols.`getInstance(Locale locale)`
Gets the `DecimalFormatSymbols` instance for the specified locale.
Methods in java.text with parameters of type DecimalFormatSymbols
Modifier and Type
Method
Description
`void`
DecimalFormat.`setDecimalFormatSymbols(DecimalFormatSymbols newSymbols)`
Sets the decimal format symbols, which is generally not changed by the programmer or user.
Constructors in java.text with parameters of type DecimalFormatSymbols
Modifier
Constructor
Description
``
`CompactNumberFormat(String decimalPattern, DecimalFormatSymbols symbols, String[] compactPatterns)`
Creates a `CompactNumberFormat` using the given decimal pattern, decimal format symbols and compact patterns.
``
`CompactNumberFormat(String decimalPattern, DecimalFormatSymbols symbols, String[] compactPatterns, String pluralRules)`
Creates a `CompactNumberFormat` using the given decimal pattern, decimal format symbols, compact patterns, and plural rules.
``
`DecimalFormat(String pattern, DecimalFormatSymbols symbols)`
Creates a DecimalFormat using the given pattern and symbols.

## Uses of DecimalFormatSymbols in java.text.spi

Methods in java.text.spi that return DecimalFormatSymbols
Modifier and Type
Method
Description
`abstract DecimalFormatSymbols`
DecimalFormatSymbolsProvider.`getInstance(Locale locale)`
Returns a new `DecimalFormatSymbols` instance for the specified locale.